<?php
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

/** @var $block \Magento\Checkout\Block\Cart\Item\Renderer */
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$_item = $block->getItem();
$product = $_item->getProduct();
$isVisibleProduct = $product->isVisibleInSiteVisibility();
/** @var \Magento\Msrp\Helper\Data $helper */
$helper = $this->helper('Magento\Msrp\Helper\Data');
$canApplyMsrp = $helper->isShowBeforeOrderConfirm($product) && $helper->isMinimalPriceLessMsrp($product);
/** @var  $helperJs \Tigren\Ajaxcart\Helper\Data */
$helperJs = $this->helper('Tigren\Ajaxcart\Helper\Data');
$productId = $product->getId();
?>
<tbody class="cart item">
<tr class="item-info">
    <td data-th="<?= $block->escapeHtml(__('Item')) ?>" class="col item">
        <?php if ($block->hasProductUrl()):?>
        <a href="<?= /* @escapeNotVerified */ $block->getProductUrl() ?>"
           title="<?= $block->escapeHtml($block->getProductName()) ?>"
           tabindex="-1"
           class="product-item-photo">
            <?php else:?>
            <span class="product-item-photo">
            <?php endif;?>
            <?= $block->getImage($block->getProductForThumbnail(), 'cart_page_product_thumbnail')->toHtml() ?>
            <?php if ($block->hasProductUrl()):?>
        </a>
    <?php else: ?>
        </span>
    <?php endif; ?>
        <div class="product-item-details">
            <strong class="product-item-name">
                <?php if ($block->hasProductUrl()):?>
                    <a href="<?= /* @escapeNotVerified */ $block->getProductUrl() ?>"><?= $block->escapeHtml($block->getProductName()) ?></a>
                <?php else: ?>
                    <?= $block->escapeHtml($block->getProductName()) ?>
                <?php endif; ?>
            </strong>
             <?php
                                       $product_id=$productId;
                                      //$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
                                      $product1 = $objectManager->create('Magento\Catalog\Model\Product')->load($product_id);
                                      if ($product1['type_id'] == 'simple') { 
                                        $productoptionid=$product1['product_option'];
                                        $attribute = $product1->getResource()->getAttribute('product_option');
                                        if ($attribute->usesSource()) { ?>
                                          <div class="novairiant" style="padding: 12px;"><?php echo $attribute->getSource()->getOptionText($productoptionid);?></div>
                                          
                                       <?php }

                                      }else{
                                        $options = $_item->getProduct()->getTypeInstance(true)->getOrderOptions($_item->getProduct());
                                        $customOptions = $options['attributes_info'];
                                        if (!empty($customOptions)) {
                                          foreach ($customOptions as $option) {
                                            echo $optionTitle = $option['value'];
                                          }
                                        }
                                      } ?>
                                     
            <?php if ($_options = $block->getOptionList()):?>
             

              <!--   <dl class="item-options"> -->
                    <?php foreach ($_options as $_option) : ?>
                        <?php $_formatedOptionValue = $block->getFormatedOptionValue($_option) ?>
                        <dt><?= $block->escapeHtml($_option['label']) ?></dt>
                        <dd>
                            <?php if (isset($_formatedOptionValue['full_view'])): ?>
                                <?= /* @escapeNotVerified */ $_formatedOptionValue['full_view'] ?>
                            <?php else: ?>
                                <?= /* @escapeNotVerified */ $_formatedOptionValue['value'] ?>
                            <?php endif; ?>
                        </dd>
                    <?php endforeach; ?>
                <!-- </dl> -->
            <?php endif;?>
            <?php if ($messages = $block->getMessages()): ?>
                <?php foreach ($messages as $message): ?>
                    <div class="cart item message <?= /* @escapeNotVerified */ $message['type'] ?>"><div><?= $block->escapeHtml($message['text']) ?></div></div>
                <?php endforeach; ?>
            <?php endif; ?>
            <?php $addInfoBlock = $block->getProductAdditionalInformationBlock(); ?>
            <?php if ($addInfoBlock): ?>
                <?= $addInfoBlock->setItem($_item)->toHtml() ?>
            <?php endif;?>
        </div>
    </td>

    <?php if ($canApplyMsrp): ?>
        <td class="col msrp" data-th="<?= $block->escapeHtml(__('Price')) ?>">
                <span class="pricing msrp">
                    <span class="msrp notice"><?= /* @escapeNotVerified */ __('See price before order confirmation.') ?></span>
                    <?php $helpLinkId = 'cart-msrp-help-' . $_item->getId(); ?>
                    <a href="#" class="action help map" id="<?= /* @escapeNotVerified */ ($helpLinkId) ?>" data-mage-init='{"addToCart":{"helpLinkId": "#<?= /* @escapeNotVerified */ $helpLinkId ?>","productName": "<?= /* @escapeNotVerified */ $product->getName() ?>","showAddToCart": false}}'>
                        <span><?= /* @escapeNotVerified */ __("What's this?") ?></span>
                    </a>
                </span>
        </td>
    <?php else: ?>
        <td class="col price" data-th="<?= $block->escapeHtml(__('Price')) ?>">
            <?= $block->getUnitPriceHtml($_item) ?>
        </td>
    <?php endif; ?>
    <td class="col qty" data-th="<?= $block->escapeHtml(__('Qty')) ?>">
        <div class="field qty">
            <label class="label" for="cart-<?= /* @escapeNotVerified */ $_item->getId() ?>-qty">
                <span><?= /* @escapeNotVerified */ __('Qty') ?></span>
            </label>
            <div class="control qty">
                <div class="custom-qty reduced" id="minus<?php echo $_item->getId();?>"><button type="button"  class="btn-qty minus"><span class="mbi mbi-minus"></span></button></div>
                <input readonly id="cart-<?= /* @escapeNotVerified */ $_item->getId() ?>-qty"
                       name="cart[<?= /* @escapeNotVerified */ $_item->getId() ?>][qty]"
                       data-cart-item-id="<?= $block->escapeHtml($_item->getSku()) ?>"
                       value="<?= /* @escapeNotVerified */ $block->getQty() ?>"
                       type="text"
                       size="4"
                       title="<?= $block->escapeHtml(__('Qty')) ?>"
                       class="input-text qty"
                       data-cart-max="<?= $helperJs->getStockState($_item->getProduct()) ?>"
                       data-cart-ordered="<?= $_item->getQty() ?>"
                       data-validate="{required:true,'validate-greater-than-zero':true}"
                       data-role="cart-item-qty"/>
                       <div class="custom-qty increase" id="plus<?php echo $_item->getId();?>"><button type="button" class="btn-qty plus"><span class="mbi mbi-plus"></span></button></div>
            </div>
        </div>
    </td>

    <td class="col subtotal" data-th="<?= $block->escapeHtml(__('Subtotal')) ?>">
        <?php if ($canApplyMsrp): ?>
            <span class="cart msrp subtotal">--</span>
        <?php else: ?>
            <?= $block->getRowTotalHtml($_item) ?>
        <?php endif; ?>
    </td>
</tr>
<tr class="item-actions">
    <td colspan="100">
        <div class="actions-toolbar">
            <?= /* @escapeNotVerified */ $block->getActions($_item) ?>
        </div>
    </td>
</tr>
</tbody>
<?php $_product=$_item;
 ?>

<script type="text/javascript">
    require(['jquery'],function(jQuery){
          jQuery(document).ready(function () {
            jQuery(document).ajaxComplete(function () {
            	jQuery("#minus<?php echo $_product->getId();?>").click(function(){
        //hitforqote();
      setTimeout(function(){
      	
                var uqty = jQuery("#cart-item-<?php echo $_product->getId();?>-qty").val();
                //alert(uqty);
                if (uqty=="1") {
                     //alert(uqty);
                    jQuery('[data-cart-item=<?php echo $_product->getId();?>]').click();
                   setTimeout(function(){
                 jQuery("#cart-<?php echo $_product->getId();?>-qty").val(uqty);
             },500);

                }else{
                jQuery("#minus-cart-item-<?php echo $_product->getId();?>").click();
                setTimeout(function(){
                 jQuery("#cart-<?php echo $_product->getId();?>-qty").val(uqty);
             },500);
                }

     
      
      },1000);
    });
    jQuery("#plus<?php echo $_product->getId();?>").click(function(){
    	
    	jQuery("#plus-cart-item-<?php echo $_product->getId();?>").click();
    	setTimeout(function(){
                 jQuery("#cart-<?php echo $_product->getId();?>-qty").val(uqty);
             },500);
    });
              
            });
          });
        });
</script>

